AiTranslator

Crate ai translator

crate ai translator

POST
/api/v2/ai-translator

Authorization

BearerAuthObject
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v2/ai-translator" \  -H "Content-Type: application/json" \  -d '{    "name": "ChatGPT_Default",    "token": "api token",    "apiUrl": "https://example.com",    "promptTokenRate": 0.0005,    "completionTokenRate": 0.0005,    "languages": [      1    ]  }'
{  "message": "OK"}
{  "errors": {    "name": [      "Ai translator with the same name already exists"    ]  }}
{  "message": {    "error": "Your request was made with invalid credentials."  }}
{  "message": {    "error": "You are not allowed to perform this action."  }}
{  "message": {    "error": "Oops! Something went wrong! Write to administrator. Your Request Id {f1177aee-9a99-42f0-a23f-4dd29fc39b65-672e0df972ccb}"  }}